Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface DeclarativeQueryManager

All Superinterfaces:
  QueryManager

public interface DeclarativeQueryManager
extends QueryManager

This interface provides the ability to execute declarative queries (e.g. SQL)

Author:
  Farrukh S. Najmi

Method Summary
`Query` | `createQuery(int queryType, java.lang.String queryString)` Creates a Query object given a queryType (for example, QUERY_TYPE_SQL) and a String that represents a query in the syntax appropriate for queryType.
`BulkResponse` | `executeQuery(Query query)` Executes a query as specified by query parameter.

Methods inherited from interface javax.xml.registry.QueryManager
`getRegistryObject, getRegistryObject, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryService`

Method Detail

### createQuery

    public Query createQuery(int queryType,
                             java.lang.String queryString)
                      throws InvalidRequestException,
                             JAXRException

  Creates a Query object given a queryType (for example, QUERY_TYPE_SQL) and a String that represents a query in the syntax appropriate for queryType.

  Capability Level: 1

  Parameters:
    `queryType` - the type of query
    `queryString` - the query in its string representation
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
    `InvalidRequestException` - If the JAXR provider validates query syntax (optional) and the sqlQuery is not valid
  See Also:
    `Query.QUERY_TYPE_SQL`, `Query.QUERY_TYPE_XQUERY`, `Query.QUERY_TYPE_EBXML_FILTER_QUERY`

### executeQuery

    public BulkResponse executeQuery(Query query)
                              throws JAXRException

  Executes a query as specified by query parameter.

  Capability Level: 1

  Parameters:
    `query` - the query to be executed
  Returns:
    the BulkResponse that is the result of the query
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.